## org.eclipse.datatools.sqltools.sqleditor.internal.sql
Interface ISQLCompletionProposal

All Superinterfaces:
  org.eclipse.jface.text.contentassist.ICompletionProposal

All Known Implementing Classes:
  SQLCompletionProposal, SQLTemplateProposal

    public interface ISQLCompletionProposal

extends org.eclipse.jface.text.contentassist.ICompletionProposal

Author:
  Li Huang A completion proposal with a relevance value. The relevance value is used to sort the completion proposals. Proposals with higher relevance should be listed before proposals with lower relevance.
See Also:
  `ICompletionProposal`

Method Summary
`int` `getRelevance()` Returns the relevance of this completion proposal.

Methods inherited from interface org.eclipse.jface.text.contentassist.ICompletionProposal
`apply, getAdditionalProposalInfo, getContextInformation, getDisplayString, getImage, getSelection`

Method Detail

### getRelevance

    int getRelevance()

  Returns the relevance of this completion proposal.

  The relevance is used to determine if this proposal is more relevant than another proposal.

  Returns:
    the relevance of this completion proposal